Balancesettings 2 endpoints

GET /v1/balance_settings

Retrieves balance settings for a given connected account. Related guide: Making API calls for connected accounts

operationId: GetBalanceSettings

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/balance_settings
POST /v1/balance_settings

Updates balance settings for a given connected account. Related guide: Making API calls for connected accounts

operationId: PostBalanceSettings

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
payments object optional
payouts object optional
schedule object optional
interval string optional
weekly_payout_days array optional
monthly_payout_days array optional
statement_descriptor string optional
minimum_balance_by_currency object optional
settlement_timing object optional
delay_days_override object optional
debit_negative_balances boolean optional

Responses

default

Error response.

200

Successful response.

POST /v1/balance_settings

Balancetransactions 2 endpoints

GET /v1/balance_transactions

Returns a list of transactions that have contributed to the Stripe account balance (e.g., charges, transfers, and so forth). The transactions are returned in sorted order, with the most recent transactions appearing first.

Note that this endpoint was previously called “Balance history” and used the path /v1/balance/history.

operationId: GetBalanceTransactions

Parameters

Name In Required Type Description
created query optional

Only return transactions that were created during the given date interval.

currency query optional string

Only return transactions in a certain currency. Three-letter ISO currency code, in lowercase. Must be a supported currency.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

payout query optional string

For automatic Stripe payouts only, only returns transactions that were paid out on the specified payout ID.

source query optional string

Only returns transactions associated with the given object.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

type query optional string

Only returns transactions of the given type. One of: adjustment, advance, advance_funding, anticipation_repayment, application_fee, application_fee_refund, charge, climate_order_purchase, climate_order_refund, connect_collection_transfer, contribution, inbound_transfer, inbound_transfer_reversal, issuing_authorization_hold, issuing_authorization_release, issuing_dispute, issuing_transaction, obligation_outbound, obligation_reversal_inbound, payment, payment_failure_refund, payment_network_reserve_hold, payment_network_reserve_release, payment_refund, payment_reversal, payment_unreconciled, payout, payout_cancel, payout_failure, payout_minimum_balance_hold, payout_minimum_balance_release, refund, refund_failure, reserve_transaction, reserved_funds, reserve_hold, reserve_release, stripe_fee, stripe_fx_fee, stripe_balance_payment_debit, stripe_balance_payment_debit_reversal, tax_fee, topup, topup_reversal, transfer, transfer_cancel, transfer_failure, transfer_refund, or fee_credit_funding.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/balance_transactions
GET /v1/balance_transactions/{id}

Retrieves the balance transaction with the given ID.

Note that this endpoint previously used the path /v1/balance/history/:id.

operationId: GetBalanceTransactionsId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/balance_transactions/{id}

Billing 24 endpoints

GET /v1/billing/alerts

Lists billing active and inactive alerts

operationId: GetBillingAlerts

Parameters

Name In Required Type Description
alert_type query optional string

Filter results to only include this type of alert.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

meter query optional string

Filter results to only include alerts with the given meter.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/billing/alerts
POST /v1/billing/alerts

Creates a billing alert

operationId: PostBillingAlerts

Request Body

required
application/x-www-form-urlencoded
Property Type Required
title string required
expand array optional
alert_type string required
usage_threshold object optional
gte integer required
meter string required
filters array optional
type string required
customer string optional
recurrence string required

Responses

default

Error response.

200

Successful response.

POST /v1/billing/alerts
GET /v1/billing/alerts/{id}

Retrieves a billing alert given an ID

operationId: GetBillingAlertsId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/billing/alerts/{id}
POST /v1/billing/alerts/{id}/activate

Reactivates this alert, allowing it to trigger again.

operationId: PostBillingAlertsIdActivate

Parameters

Name In Required Type Description
id path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/billing/alerts/{id}/activate
POST /v1/billing/alerts/{id}/archive

Archives this alert, removing it from the list view and APIs. This is non-reversible.

operationId: PostBillingAlertsIdArchive

Parameters

Name In Required Type Description
id path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/billing/alerts/{id}/archive
POST /v1/billing/alerts/{id}/deactivate

Deactivates this alert, preventing it from triggering.

operationId: PostBillingAlertsIdDeactivate

Parameters

Name In Required Type Description
id path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/billing/alerts/{id}/deactivate
GET /v1/billing/credit_balance_summary

Retrieves the credit balance summary for a customer.

operationId: GetBillingCreditBalanceSummary

Parameters

Name In Required Type Description
customer query optional string

The customer whose credit balance summary you’re retrieving.

customer_account query optional string

The account representing the customer whose credit balance summary you’re retrieving.

expand query optional array

Specifies which fields in the response should be expanded.

filter query required object

The filter criteria for the credit balance summary.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/billing/credit_balance_summary
GET /v1/billing/credit_balance_transactions

Retrieve a list of credit balance transactions.

operationId: GetBillingCreditBalanceTransactions

Parameters

Name In Required Type Description
credit_grant query optional string

The credit grant for which to fetch credit balance transactions.

customer query optional string

The customer whose credit balance transactions you’re retrieving.

customer_account query optional string

The account representing the customer whose credit balance transactions you’re retrieving.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/billing/credit_balance_transactions
GET /v1/billing/credit_balance_transactions/{id}

Retrieves a credit balance transaction.

operationId: GetBillingCreditBalanceTransactionsId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

Unique identifier for the object.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/billing/credit_balance_transactions/{id}
GET /v1/billing/credit_grants

Retrieve a list of credit grants.

operationId: GetBillingCreditGrants

Parameters

Name In Required Type Description
customer query optional string

Only return credit grants for this customer.

customer_account query optional string

Only return credit grants for this account representing the customer.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/billing/credit_grants
POST /v1/billing/credit_grants

Creates a credit grant.

operationId: PostBillingCreditGrants

Request Body

required
application/x-www-form-urlencoded
Property Type Required
name string optional
amount object required
type string required
monetary object optional
value integer required
currency string required
expand array optional
category string optional
customer string optional
metadata object optional
priority integer optional
expires_at integer optional
effective_at integer optional
customer_account string optional
applicability_config object required
scope object required
prices array optional
id string required
price_type string optional

Responses

default

Error response.

200

Successful response.

POST /v1/billing/credit_grants
GET /v1/billing/credit_grants/{id}

Retrieves a credit grant.

operationId: GetBillingCreditGrantsId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

Unique identifier for the object.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/billing/credit_grants/{id}
POST /v1/billing/credit_grants/{id}

Updates a credit grant.

operationId: PostBillingCreditGrantsId

Parameters

Name In Required Type Description
id path required string

Unique identifier for the object.

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
metadata object optional
expires_at object optional

Responses

default

Error response.

200

Successful response.

POST /v1/billing/credit_grants/{id}
POST /v1/billing/credit_grants/{id}/expire

Expires a credit grant.

operationId: PostBillingCreditGrantsIdExpire

Parameters

Name In Required Type Description
id path required string

Unique identifier for the object.

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/billing/credit_grants/{id}/expire
POST /v1/billing/credit_grants/{id}/void

Voids a credit grant.

operationId: PostBillingCreditGrantsIdVoid

Parameters

Name In Required Type Description
id path required string

Unique identifier for the object.

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/billing/credit_grants/{id}/void
POST /v1/billing/meter_event_adjustments

Creates a billing meter event adjustment.

operationId: PostBillingMeterEventAdjustments

Request Body

required
application/x-www-form-urlencoded
Property Type Required
type string required
cancel object optional
identifier string optional
expand array optional
event_name string required

Responses

default

Error response.

200

Successful response.

POST /v1/billing/meter_event_adjustments
POST /v1/billing/meter_events

Creates a billing meter event.

operationId: PostBillingMeterEvents

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
payload object required
timestamp integer optional
event_name string required
identifier string optional

Responses

default

Error response.

200

Successful response.

POST /v1/billing/meter_events
GET /v1/billing/meters

Retrieve a list of billing meters.

operationId: GetBillingMeters

Parameters

Name In Required Type Description
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

status query optional string

Filter results to only include meters with the given status.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/billing/meters
POST /v1/billing/meters

Creates a billing meter.

operationId: PostBillingMeters

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
event_name string required
display_name string required
value_settings object optional
event_payload_key string required
customer_mapping object optional
type string required
event_payload_key string required
event_time_window string optional
default_aggregation object required
formula string required

Responses

default

Error response.

200

Successful response.

POST /v1/billing/meters
GET /v1/billing/meters/{id}

Retrieves a billing meter given an ID.

operationId: GetBillingMetersId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/billing/meters/{id}
POST /v1/billing/meters/{id}

Updates a billing meter.

operationId: PostBillingMetersId

Parameters

Name In Required Type Description
id path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
display_name string optional

Responses

default

Error response.

200

Successful response.

POST /v1/billing/meters/{id}
POST /v1/billing/meters/{id}/deactivate

When a meter is deactivated, no more meter events will be accepted for this meter. You can’t attach a deactivated meter to a price.

operationId: PostBillingMetersIdDeactivate

Parameters

Name In Required Type Description
id path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/billing/meters/{id}/deactivate
GET /v1/billing/meters/{id}/event_summaries

Retrieve a list of billing meter event summaries.

operationId: GetBillingMetersIdEventSummaries

Parameters

Name In Required Type Description
customer query required string

The customer for which to fetch event summaries.

end_time query required integer

The timestamp from when to stop aggregating meter events (exclusive). Must be aligned with minute boundaries.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

id path required string

Unique identifier for the object.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

start_time query required integer

The timestamp from when to start aggregating meter events (inclusive). Must be aligned with minute boundaries.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

value_grouping_window query optional string

Specifies what granularity to use when generating event summaries. If not specified, a single event summary would be returned for the specified time range. For hourly granularity, start and end times must align with hour boundaries (e.g., 00:00, 01:00, …, 23:00). For daily granularity, start and end times must align with UTC day boundaries (00:00 UTC).

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/billing/meters/{id}/event_summaries
POST /v1/billing/meters/{id}/reactivate

When a meter is reactivated, events for this meter can be accepted and you can attach the meter to a price.

operationId: PostBillingMetersIdReactivate

Parameters

Name In Required Type Description
id path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/billing/meters/{id}/reactivate

Billingportal 5 endpoints

GET /v1/billing_portal/configurations

Returns a list of configurations that describe the functionality of the customer portal.

operationId: GetBillingPortalConfigurations

Parameters

Name In Required Type Description
active query optional boolean

Only return configurations that are active or inactive (e.g., pass true to only list active configurations).

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

is_default query optional boolean

Only return the default or non-default configurations (e.g., pass true to only list the default configuration).

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/billing_portal/configurations
POST /v1/billing_portal/configurations

Creates a configuration that describes the functionality and behavior of a PortalSession

operationId: PostBillingPortalConfigurations

Request Body

required
application/x-www-form-urlencoded
Property Type Required
name object optional
expand array optional
features object required
customer_update object optional
enabled boolean required
allowed_updates object optional
invoice_history object optional
enabled boolean required
subscription_cancel object optional
mode string optional
enabled boolean required
proration_behavior string optional
cancellation_reason object optional
enabled boolean required
options object required
subscription_update object optional
enabled boolean required
products object optional
proration_behavior string optional
billing_cycle_anchor string optional
trial_update_behavior string optional
schedule_at_period_end object optional
conditions array optional
default_allowed_updates object optional
payment_method_update object optional
enabled boolean required
payment_method_configuration object optional
metadata object optional
login_page object optional
enabled boolean required
business_profile object optional
headline object optional
privacy_policy_url string optional
terms_of_service_url string optional
default_return_url object optional

Responses

default

Error response.

200

Successful response.

POST /v1/billing_portal/configurations
GET /v1/billing_portal/configurations/{configuration}

Retrieves a configuration that describes the functionality of the customer portal.

operationId: GetBillingPortalConfigurationsConfiguration

Parameters

Name In Required Type Description
configuration path required string
expand query optional array

Specifies which fields in the response should be expanded.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/billing_portal/configurations/{configuration}
POST /v1/billing_portal/configurations/{configuration}

Updates a configuration that describes the functionality of the customer portal.

operationId: PostBillingPortalConfigurationsConfiguration

Parameters

Name In Required Type Description
configuration path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
name object optional
active boolean optional
expand array optional
features object optional
customer_update object optional
enabled boolean optional
allowed_updates object optional
invoice_history object optional
enabled boolean required
subscription_cancel object optional
mode string optional
enabled boolean optional
proration_behavior string optional
cancellation_reason object optional
enabled boolean required
options object optional
subscription_update object optional
enabled boolean optional
products object optional
proration_behavior string optional
billing_cycle_anchor string optional
trial_update_behavior string optional
schedule_at_period_end object optional
conditions object optional
default_allowed_updates object optional
payment_method_update object optional
enabled boolean required
payment_method_configuration object optional
metadata object optional
login_page object optional
enabled boolean required
business_profile object optional
headline object optional
privacy_policy_url object optional
terms_of_service_url object optional
default_return_url object optional

Responses

default

Error response.

200

Successful response.

POST /v1/billing_portal/configurations/{configuration}
POST /v1/billing_portal/sessions

Creates a session of the customer portal.

operationId: PostBillingPortalSessions

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
locale string optional
customer string optional
flow_data object optional
type string required
after_completion object optional
type string required
redirect object optional
return_url string required
hosted_confirmation object optional
custom_message string optional
subscription_cancel object optional
retention object optional
type string required
coupon_offer object required
subscription string required
subscription_update object optional
subscription string required
subscription_update_confirm object optional
items array required
id string required
price string optional
quantity integer optional
discounts array optional
coupon string optional
promotion_code string optional
subscription string required
return_url string optional
on_behalf_of string optional
configuration string optional
customer_account string optional

Responses

default

Error response.

200

Successful response.

POST /v1/billing_portal/sessions

Charges 14 endpoints

GET /v1/charges

Returns a list of charges you’ve previously created. The charges are returned in sorted order, with the most recent charges appearing first.

operationId: GetCharges

Parameters

Name In Required Type Description
created query optional

Only return charges that were created during the given date interval.

customer query optional string

Only return charges for the customer specified by this customer ID.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

payment_intent query optional string

Only return charges that were created by the PaymentIntent specified by this PaymentIntent ID.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

transfer_group query optional string

Only return charges for this transfer group, limited to 100.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/charges
POST /v1/charges

This method is no longer recommended—use the Payment Intents API to initiate a new payment instead. Confirmation of the PaymentIntent creates the Charge object used to request payment.

operationId: PostCharges

Request Body

application/x-www-form-urlencoded
Property Type Required
card object optional
amount integer optional
expand array optional
source string optional
capture boolean optional
currency string optional
customer string optional
metadata object optional
shipping object optional
name string required
phone string optional
address object required
city string optional
line1 string optional
line2 string optional
state string optional
country string optional
postal_code string optional
carrier string optional
tracking_number string optional
description string optional
destination object optional
on_behalf_of string optional
radar_options object optional
session string optional
receipt_email string optional
transfer_data object optional
amount integer optional
destination string required
transfer_group string optional
application_fee integer optional
statement_descriptor string optional
application_fee_amount integer optional
statement_descriptor_suffix string optional

Responses

default

Error response.

200

Successful response.

POST /v1/charges
GET /v1/charges/search

Search for charges you’ve previously created using Stripe’s Search Query Language. Don’t use search in read-after-write flows where strict consistency is necessary. Under normal operating conditions, data is searchable in less than a minute. Occasionally, propagation of new or updated data can be up to an hour behind during outages. Search functionality is not available to merchants in India.

operationId: GetChargesSearch

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

page query optional string

A cursor for pagination across multiple pages of results. Don’t include this parameter on the first call. Use the next_page value returned in a previous response to request subsequent results.

query query required string

The search query string. See search query language and the list of supported query fields for charges.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/charges/search
GET /v1/charges/{charge}

Retrieves the details of a charge that has previously been created. Supply the unique charge ID that was returned from your previous request, and Stripe will return the corresponding charge information. The same information is returned when creating or refunding the charge.

operationId: GetChargesCharge

Parameters

Name In Required Type Description
charge path required string
expand query optional array

Specifies which fields in the response should be expanded.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/charges/{charge}
POST /v1/charges/{charge}

Updates the specified charge by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

operationId: PostChargesCharge

Parameters

Name In Required Type Description
charge path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
customer string optional
metadata object optional
shipping object optional
name string required
phone string optional
address object required
city string optional
line1 string optional
line2 string optional
state string optional
country string optional
postal_code string optional
carrier string optional
tracking_number string optional
description string optional
fraud_details object optional
user_report string required
receipt_email string optional
transfer_group string optional

Responses

default

Error response.

200

Successful response.

POST /v1/charges/{charge}
POST /v1/charges/{charge}/capture

Capture the payment of an existing, uncaptured charge that was created with the capture option set to false.

Uncaptured payments expire a set number of days after they are created (7 by default), after which they are marked as refunded and capture attempts will fail.

Don’t use this method to capture a PaymentIntent-initiated charge. Use Capture a PaymentIntent.

operationId: PostChargesChargeCapture

Parameters

Name In Required Type Description
charge path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
amount integer optional
expand array optional
receipt_email string optional
transfer_data object optional
amount integer optional
transfer_group string optional
application_fee integer optional
statement_descriptor string optional
application_fee_amount integer optional
statement_descriptor_suffix string optional

Responses

default

Error response.

200

Successful response.

POST /v1/charges/{charge}/capture
GET /v1/charges/{charge}/dispute

Retrieve a dispute for a specified charge.

operationId: GetChargesChargeDispute

Parameters

Name In Required Type Description
charge path required string
expand query optional array

Specifies which fields in the response should be expanded.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/charges/{charge}/dispute
POST /v1/charges/{charge}/dispute
operationId: PostChargesChargeDispute

Parameters

Name In Required Type Description
charge path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
submit boolean optional
evidence object optional
receipt string optional
service_date string optional
customer_name string optional
refund_policy string optional
shipping_date string optional
billing_address string optional
shipping_address string optional
shipping_carrier string optional
enhanced_evidence object optional
customer_signature string optional
uncategorized_file string optional
uncategorized_text string optional
access_activity_log string optional
cancellation_policy string optional
duplicate_charge_id string optional
product_description string optional
customer_purchase_ip string optional
cancellation_rebuttal string optional
service_documentation string optional
customer_communication string optional
…8 more object optional
metadata object optional

Responses

default

Error response.

200

Successful response.

POST /v1/charges/{charge}/dispute
POST /v1/charges/{charge}/dispute/close
operationId: PostChargesChargeDisputeClose

Parameters

Name In Required Type Description
charge path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/charges/{charge}/dispute/close
POST /v1/charges/{charge}/refund

When you create a new refund, you must specify either a Charge or a PaymentIntent object.

This action refunds a previously created charge that’s not refunded yet. Funds are refunded to the credit or debit card that’s originally charged.

You can optionally refund only part of a charge. You can repeat this until the entire charge is refunded.

After you entirely refund a charge, you can’t refund it again. This method raises an error when it’s called on an already-refunded charge, or when you attempt to refund more money than is left on a charge.

operationId: PostChargesChargeRefund

Parameters

Name In Required Type Description
charge path required string

The identifier of the charge to refund.

Request Body

application/x-www-form-urlencoded
Property Type Required
amount integer optional
expand array optional
reason string optional
metadata object optional
payment_intent string optional
reverse_transfer boolean optional
instructions_email string optional
refund_application_fee boolean optional

Responses

default

Error response.

200

Successful response.

POST /v1/charges/{charge}/refund
GET /v1/charges/{charge}/refunds

You can see a list of the refunds belonging to a specific charge. Note that the 10 most recent refunds are always available by default on the charge object. If you need more than those 10, you can use this API method and the limit and starting_after parameters to page through additional refunds.

operationId: GetChargesChargeRefunds

Parameters

Name In Required Type Description
charge path required string
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/charges/{charge}/refunds
POST /v1/charges/{charge}/refunds

When you create a new refund, you must specify a Charge or a PaymentIntent object on which to create it.

Creating a new refund will refund a charge that has previously been created but not yet refunded. Funds will be refunded to the credit or debit card that was originally charged.

You can optionally refund only part of a charge. You can do so multiple times, until the entire charge has been refunded.

Once entirely refunded, a charge can’t be refunded again. This method will raise an error when called on an already-refunded charge, or when trying to refund more money than is left on a charge.

operationId: PostChargesChargeRefunds

Parameters

Name In Required Type Description
charge path required string

The identifier of the charge to refund.

Request Body

application/x-www-form-urlencoded
Property Type Required
amount integer optional
expand array optional
origin string optional
reason string optional
currency string optional
customer string optional
metadata object optional
payment_intent string optional
reverse_transfer boolean optional
instructions_email string optional
refund_application_fee boolean optional

Responses

default

Error response.

200

Successful response.

POST /v1/charges/{charge}/refunds
GET /v1/charges/{charge}/refunds/{refund}

Retrieves the details of an existing refund.

operationId: GetChargesChargeRefundsRefund

Parameters

Name In Required Type Description
charge path required string
expand query optional array

Specifies which fields in the response should be expanded.

refund path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/charges/{charge}/refunds/{refund}
POST /v1/charges/{charge}/refunds/{refund}

Update a specified refund.

operationId: PostChargesChargeRefundsRefund

Parameters

Name In Required Type Description
charge path required string
refund path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
metadata object optional

Responses

default

Error response.

200

Successful response.

POST /v1/charges/{charge}/refunds/{refund}

Checkout 3 endpoints

GET /v1/checkout/sessions

Returns a list of Checkout Sessions.

operationId: GetCheckoutSessions

Parameters

Name In Required Type Description
created query optional

Only return Checkout Sessions that were created during the given date interval.

customer query optional string

Only return the Checkout Sessions for the Customer specified.

customer_account query optional string

Only return the Checkout Sessions for the Account specified.

customer_details query optional object

Only return the Checkout Sessions for the Customer details specified.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

payment_intent query optional string

Only return the Checkout Session for the PaymentIntent specified.

payment_link query optional string

Only return the Checkout Sessions for the Payment Link specified.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

status query optional string

Only return the Checkout Sessions matching the given status.

subscription query optional string

Only return the Checkout Session for the subscription specified.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/checkout/sessions
POST /v1/checkout/sessions

Creates a Checkout Session object.

operationId: PostCheckoutSessions

Request Body

application/x-www-form-urlencoded
Property Type Required
mode string optional
expand array optional
locale string optional
ui_mode string optional
currency string optional
customer string optional
metadata object optional
discounts array optional
coupon string optional
promotion_code string optional
cancel_url string optional
expires_at integer optional
line_items array optional
price string optional
metadata object optional
quantity integer optional
tax_rates array optional
price_data object optional
product string optional
currency string required
recurring object optional
interval string required
interval_count integer optional
unit_amount integer optional
product_data object optional
name string required
images array optional
metadata object optional
tax_code string optional
unit_label string optional
description string optional
tax_behavior string optional
unit_amount_decimal string optional
dynamic_tax_rates array optional
adjustable_quantity object optional
enabled boolean required
maximum integer optional
minimum integer optional
return_url string optional
custom_text object optional
submit object optional
after_submit object optional
shipping_address object optional
terms_of_service_acceptance object optional
permissions object optional
update_shipping_details string optional
submit_type string optional
success_url string optional
automatic_tax object optional
enabled boolean required
liability object optional
type string required
account string optional
custom_fields array optional
key string required
text object optional
default_value string optional
maximum_length integer optional
minimum_length integer optional
type string required
label object required
type string required
custom string required
numeric object optional
default_value string optional
maximum_length integer optional
minimum_length integer optional
dropdown object optional
options array required
label string required
value string required
default_value string optional
optional boolean optional
customer_email string optional
optional_items array optional
price string required
quantity integer required
adjustable_quantity object optional
enabled boolean required
maximum integer optional
minimum integer optional
…31 more object optional

Responses

default

Error response.

200

Successful response.

POST /v1/checkout/sessions
GET /v1/checkout/sessions/{session}

Retrieves a Checkout Session object.

operationId: GetCheckoutSessionsSession

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

session path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/checkout/sessions/{session}
Load more endpoints